Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreConfigOptionMap.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreStringVector.h"`
`#include "OgreString.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Typedefs
typedef Ogre::_ConfigOption | ConfigOption
| Packages the details of a configuration option.
typedef std::map< String, ConfigOption > | ConfigOptionMap

## Typedef Documentation

typedef struct Ogre::_ConfigOption Ogre::ConfigOption

| Packages the details of a configuration option. Remarks: Used for RenderSystem::getConfigOptions. If immutable is true, this option must be disabled for modifying.

typedef std::map< String, ConfigOption > Ogre::ConfigOptionMap

| Definition at line 53 of file OgreConfigOptionMap.h.

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007